Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IIOP_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <IIOP_Connection_Handler.h>`

Inheritance diagram for TAO_IIOP_Connection_Handler:

[legend]
Collaboration diagram for TAO_IIOP_Connection_Handler:

[legend]
List of all members.

## Public Methods
| TAO_IIOP_Connection_Handler (ACE_Thread_Manager *t=0)
| TAO_IIOP_Connection_Handler (TAO_ORB_Core *orb_core, CORBA::Boolean flag, void *arg)
| Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection. More...
| ~TAO_IIOP_Connection_Handler (void)
| Destructor. More...
virtual int | open (void *)
| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. More...
virtual int | activate (long flags=THR_NEW_LWP, int n_threads=1, int force_active=0, long priority=ACE_DEFAULT_THREAD_PRIORITY, int grp_id=-1, ACE_Task_Base *task=0, ACE_hthread_t thread_handles[]=0, void *stack[]=0, size_t stack_size[]=0, ACE_thread_t thread_names[]=0)
| = Active object activation method. More...
virtual int | svc (void)
| Only used when the handler is turned into an active object by calling <activate>. This serves as the event loop in such cases. More...
int | add_transport_to_cache (void)
| Add ourselves to Cache. More...
int | process_listen_point_list (IIOP::ListenPointList &listen_list)
| Process the <listen_list>. More...
int | enable_network_priority (void)
| Check if network priority needs to be enabled. More...
int | set_dscp_codepoint (void)
| Set the Diff-Serv codepoint if the Policy dicates the setting of Network Priority. More...
int | set_dscp_codepoint (int tos)
virtual void | update_protocol_properties (int send_buffer_size, int recv_buffer_size, int no_delay, int enable_network_priority)
| Update the tcp properties of the hanlder to the most recent properties set after the last invocation. More...
Event Handler overloads
virtual int | resume_handler (void)
virtual int | close_connection (void)
| Used by the ORB to actively close connections that are idle, stale or somehow are determined to be broken before the Reactor does. More...
virtual int | handle_input (ACE_HANDLE)
| The event handler calls, here so that other objects who hold a reference to this object can call the event handler methods. More...
virtual int | handle_output (ACE_HANDLE)
virtual int | handle_close (ACE_HANDLE, ACE_Reactor_Mask)
## Protected Methods
TAO_Connection Handler overloads
virtual int | release_os_resources (void)
| Release the OS resources related to this handler, used in handle_close_eh(). More...
## Private Attributes
TAO_IIOP_Properties | tcp_properties_
| TCP configuration for this connection. More...
int | dscp_codepoint_
| Stores the type of service value. More...

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

TAO_IIOP_Connection_Handler::TAO_IIOP_Connection_Handler | ( | ACE_Thread_Manager * | t = 0 | ) |

TAO_IIOP_Connection_Handler::TAO_IIOP_Connection_Handler | ( | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag,
|  | void * | arg
| ) |

| Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection.

TAO_IIOP_Connection_Handler::~TAO_IIOP_Connection_Handler | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_IIOP_Connection_Handler::activate | ( | long | flags = THR_NEW_LWP,
|  | int | n_threads = 1,
|  | int | force_active = 0,
|  | long | priority = ACE_DEFAULT_THREAD_PRIORITY,
|  | int | grp_id = -1,
|  | ACE_Task_Base * | task = 0,
|  | ACE_hthread_t | thread_handles[] = 0,
|  | void * | stack[] = 0,
|  | size_t | stack_size[] = 0,
|  | ACE_thread_t | thread_names[] = 0
| ) | `[virtual]`

| = Active object activation method. Reimplemented from ACE_Task_Base.

int TAO_IIOP_Connection_Handler::add_transport_to_cache | ( | void |  | ) |

| Add ourselves to Cache.

int TAO_IIOP_Connection_Handler::close_connection | ( | void |  | ) | `[virtual]`

| Used by the ORB to actively close connections that are idle, stale or somehow are determined to be broken before the Reactor does. Returns: Return 0 if the connection was already closed, non-zero otherwise. Reimplemented from TAO_Connection_Handler.

int TAO_IIOP_Connection_Handler::enable_network_priority | ( | void |  | ) |

| Check if network priority needs to be enabled.

int TAO_IIOP_Connection_Handler::handle_close | ( | ACE_HANDLE | handle,
|  | ACE_Reactor_Mask | rm
| ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_IIOP_Connection_Handler::handle_input | ( | ACE_HANDLE | h | ) | `[virtual]`

| The event handler calls, here so that other objects who hold a reference to this object can call the event handler methods. Reimplemented from TAO_Connection_Handler.

int TAO_IIOP_Connection_Handler::handle_output | ( | ACE_HANDLE | handle | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_IIOP_Connection_Handler::open | ( | void * | a | ) | `[virtual]`

| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. Reimplemented from ACE_Task_Base.

int TAO_IIOP_Connection_Handler::process_listen_point_list | ( | IIOP::ListenPointList & | listen_list | ) |

| Process the <listen_list>.

int TAO_IIOP_Connection_Handler::release_os_resources | ( | void |  | ) | `[protected, virtual]`

| Release the OS resources related to this handler, used in handle_close_eh(). Reimplemented from TAO_Connection_Handler.

int TAO_IIOP_Connection_Handler::resume_handler | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_IIOP_Connection_Handler::set_dscp_codepoint | ( | int | tos | ) |

int TAO_IIOP_Connection_Handler::set_dscp_codepoint | ( | void |  | ) |

| Set the Diff-Serv codepoint if the Policy dicates the setting of Network Priority.

int TAO_IIOP_Connection_Handler::svc | ( | void |  | ) | `[virtual]`

| Only used when the handler is turned into an active object by calling <activate>. This serves as the event loop in such cases. Reimplemented from ACE_Task_Base.

void TAO_IIOP_Connection_Handler::update_protocol_properties | ( | int | send_buffer_size,
|  | int | recv_buffer_size,
|  | int | no_delay,
|  | int | enable_network_priority
| ) | `[virtual]`

| Update the tcp properties of the hanlder to the most recent properties set after the last invocation.

## Member Data Documentation

int TAO_IIOP_Connection_Handler::dscp_codepoint_`[private]`

| Stores the type of service value.

TAO_IIOP_Properties TAO_IIOP_Connection_Handler::tcp_properties_`[private]`

| TCP configuration for this connection.

The documentation for this class was generated from the following files:

- IIOP_Connection_Handler.h
- IIOP_Connection_Handler.cpp